Welcome

Welcome to the online help!
In this online help you will find all the information regarding WireLess Designer and the necessary instructions to use it properly.
This application offers a quick and simple way to create application scenarios for SYMBOL, INTERMEC, DATALOGIC, HandHeldProducts, PSION-TEKLOGIX, generic and other portable devices.


About this online help
To access the Wireless Designer help, click on the Help option from the Help menu. The help dialog has two window panes, the navigation pane (at left) and the contents pane (at right). If you can't visualize the navigation pane, click on the SHOW button which is located on the upper part of the window.
Help display
When you click on the HELP button inside a specific dialog, the help window will open and show the help section that corresponds. It is possible to print the content of that section.
Search for help on the navigation pane
The navigation pane allows to search for help in the following ways:
·
Summary: you can see a summary of the help file by selecting the Contents tab.
·
Search by keyword: you will be able to search by keyword on the Index tab .
·
Type a question in the help dialog: click on Search.


Print this Help
To print the current section
Click on the PRINT menu. A dialog containing two options will appear. In order to print only the current section, select "Print the selected topic", then OK.
To print a group of sections
On the navigation pane, go to Contents tab and select the heading of the group of help sections that you want to print. Then, click on PRINT. A dialog containing two options will appear. To print all the sections grouped under the selected heading, select "Print the selected heading and all subtopics", then click on OK.


Help Search
There are three ways to perform a search on the Help.
Tip: use keywords to optimize your search.
Search on ContentsOpen the Contents tab on the navigation pane (if it is not visible, click on SHOW). The Help topics will appear organized on a tree structure that can be deployed clicking on "+". To consult a section, click o its name and the explanation will appear on the contents pane.
Search on IndexOpen the Index tab on the navigation pane (if it is not visible, click on SHOW). On this tab you can performe two kinds of search:
  • Typing in a keyword on "Type in a keyword to find".
  • Selecting a keyword from the keywords list. Then click on DISPLAY.
    Search for a question Open the Search tab on the navigation pane (if it is not visible, click on SHOW). Write one or many words to search for on "Type in a keyword to find". Then click on LIST TOPICS. A list of topics will appear, select the one that fits the best to your search and click on DISPLAY.


Main window description
The main components of the scenario edition interface are located here:
The menu barThe shortcuts bar (located between the menu bar and the actions grid)The actions bar (at left and under the actions grid)The scenarios and screens tree (upper left pane of the window)The actions grid (right pane of the window)The pane that represents the display of the PDA (lower left pane)


Menu bar
The menu bar has 6 menus: File, Edit, Scenarios, Actions, Devices, Help.
To open a menu
Select it with the left button of the mouse and choose a command from the options.
Note: you can use keyboard shortcuts for some of the functions listed on the menus. Press the ALT key + underlined letter on the menu to select that option.


Shortcuts bar
This toolbar is composed of the buttons located under the menu bar. These shortcurts allow to select a frequent function quicker than using the menus.
To select a tool
Make left click on the button that represents it.


Actions bar
This toolbar is composed of the buttons located at left and under the actions grid. To create or modify an action, you just have to click once on the button that represents it.

Actions list
- Comment line
- Display text
- Input field
- Clear screen
- Go to another action
- Return to calling next action
- Bip sound
- Pause
- Condition (If... go to... Else, go to)
- Display menu
- List management
- Depending on function key
- Terminal configuration
- Barcodes initialization
- Serial port configuration
- Reading/writing on serial port
- Run a Batch application on the terminal
- Create a formula
- SQL query
- Run another program on the PC
- Writing on file, printer or port
- Send e-mail
- Case
- Error message
- Label line
- Condition (If... then... Else... End)
- File transfer


Scenarios and screens tree
You will find this tree on the left upper pane of the Wireless Designer window. This tree contains a list of scenarios and screens. Each scenario may contain multiple screens (up to 99).

Creating a scenario
To create a new scenario, go to the Scenario menu or to the context menu of the list (right click on the list). Select New Scenario. A dialog will ask you for the name of the new scenario.

Modify an existing scenario
Select the scenario that you want to modify, then use the Scenario menu or the context menu of the list (right click on the scenario), then Modify scenario's name. It will appear a dialog that will let you change the name of the scenario.

Delete Scenario
Select the scenario that you want to delete and through the Scenario menu or the context menu of the list (right click on the scenario), access the Delete Scenario option. You will have to confirm the action.

Screen creation
First, select the scenario where you want to create a new screen. Then, through the Scenario menu or the context menu of the list (right click on the list), select the New Screen option. A dialog will ask you for the name of the new screen

Modify the name of a screen
Select the screen which name you want to modify, then use the Scenario menu or the context menu of the list (right click on the list) to access to Modify screen name. A dialog will ask you for the new name of the screen.

Delete Scenario
Select the screen that you want to delete and through the Scenario menu or the context menu of the list (right click on the list), go to the Delete Screen option. You will need to confirm the action.


Actions grid
You will find the actions grid on the right pane of the Wireless Designer window.
To display the actions from a specific screen
Select the screen from the tree that appears at the left pane. Each screen is composed of several actions (up to 999).


Display
The lower left pane of the WireLess Designer window is the Display, a grid that represents the portable device window.

To set up the Display size
Go to File->Display. A window where you must input the values for the width and high (in pixels) will appear. These values will determine the data display.


Software protection
Wireless Designer is protected by a license number to avoid illegal copies.

The license number is asked for through the software to a predefined e-mail address.
If you enter a valid license number, you will have a complete access to the software, which means you can create, update and execute scenarios. Otherwise, you will have a DEMO access, with a limited number of actions.

If you have any problem with the license number, please contact:
Email: designer@softogo.com


Licenses
The Licenses option is located on the File menu. Through this option it is possible to access to the license request window. This dialog allows to request the development license for WireLess Designer by e-mail .

Company:
Name of the company.

Country:
Country where the company is located.

City:
City where the company is located.

PC-Id:
This number is automatically obtained; it will be informed to your provider to generate a license. This field can't be modified.

License:
License number. This field is available for input only when no valid license was entered before.

My Mail Account:
This check-box allows to set the email sending method. If it is checked, the email will be sent through your default email client (Outlook). Otherwise, it will be sent through this application.

MAIL button sends an email to the provider requesting the generation of a valid license.

If My Mail Account is checked, the license requirement form will be opened in HTML format and it will be sent by email using your default email client.
If you don't have an email client installed on the PC, this option can't be used. In this case, uncheck My Mail Account check-box to access to the screen that contains the request email, where you must input the necessary data.

CANCEL button ignores all the loaded data and returns to the main screen.
OK button validates the information you have provided.
HELP button shows the help window (this page).


Scenarios location
The Scenarios location option is on the File menu. This option opens a dialog that allows to change the scenarios working directory.

The list contains all the directories where scenarios can be located.

The BROWSE button will open a dialog to select the directory in an easier way.
The CLOSE button will close this dialog and return to the main window.


Import ...

Import a scenario or screen from a file
In order to import a scenario or a screen, go to the File menu and select the Import... option. Then you can choose the file that you want. A dialog box will appear where it is possible to modify the name of the scenario or screen.

The IMPORT button will begin to import the file into the current scenario.


Export ...

Export a scenario or screen to a file

In order to export a screen or the whole scenario into a file, you must select the Export... option on the File menu. Then a dialog box will appear, where you must select the scenario and the screen name or the option to export all screens.

The EXPORT button will begin to export into a file.


Printing scenarios
In order to print a scenario, go to File menu and choose Print... option. On the next dialogue, select the scenario you want to print. Then, on the screen list, all the screens that belong to that scenario will appear. Select from that list the screens you want to print.

PRINT button starts printing the selected screens and their actions.
CLOSE button closes the dialog.


Comment line
This action allows to insert a comment line on the actions grid, where it is possible to write remarks about the scenario. Comments can be useful to organize scenario's creation and improve their visualization.
They are highlighted on red on the actions grill and on Destination window, so they are quick to find.

OK button saves the comment.
CANCEL button ignores any changes and returns to the main window.


Display text
This action allows to display text on the screen of the PDA.

Row:
Text vertical position. It can be a constant or a variable (you can input a variable using the button located at right).

Column:
Text horizontal position. It can be a constant or a variable (you can input a variable using the button located at right).

Text display:
This field contains the text to be displayed on screen. These data can be constants or variables (select them with the button located at right). Variables appear between curly braces.
There is a field for each language; the device language is configured in File>Language> Device or the with the function 'SetTerminalLanguage' during a scenario execution.

Note: to display special characters, you need to specify its ascii value after \' (example: \013 is the carriage return).

Video:
-Normal: text is displayed in normal way.
-Inverse: text is displayed in reverse way.

Display always:
The text zone will be displayed right away (otherwise, the text will be displayed only when the device is expecting an input).

Clear screen:
The screen of the device will be cleared before displaying the text.

Fill with spaces:
If the text zone size is smaller than the screen's width, blanks will be added after the text.

Centred:
The text will be centred according to the screen's width.

Foreground / Background:
Colour of the text to be displayed and of the background.

Voice:
This function is only settable for talking devices.
-Silence: the device remains silent.
-Spell: it spells the text written in 'Text Display'.
-Speech: it reads the text written in 'Text Display'.

The OK button saves the new values.
The CANCEL button ignores any changes and returns to the main window.


Input field
This action allows to retrieve an input from the portable device. It is possible to retrieve inputs from the keyboard or from the barcode scanner.

Row:
Text vertical position (line). It can be a constant or a variable.

Column:
Text horizontal position. It can be a constant or a variable.

Length:
Maximum length for this input.

Keyboard mode:
Defines if the input mode is numeric or alphabetic.

Storage variable:
Variable where to store this input.

Show variable content:
If you select this check box, the "Storage variable" content will be displayed on the input field. On this case, you may validate or modify this value. If you use this option, you have to take into account that the "Storage variable" must be initialised with a relevant value.
If you don't select this check box, the input field will be empty.

Destination:
When capturing data, the scenario is redirected towards another action according to the input source:
- Keyboard
- Barcode reading
- Function Keys (F1,F2 ... CLEAR)
- ASR (Automatic Speech Recognition)
Selecting the check box under each field allows to continue the scenario execution with the following action without specifying the number of the destination action. When this check box is marked, the text zone displays "Next".
If you want to continue the scenario execution with other action, unmark the check box and click on the text zone to open the Destination selection dialog. Destination window will open, so you'll be able to select there the action where to the scenario will be redirected.

Visible buttons:
You can set up which buttons will be displayed on the device and change the caption for each one. You must use the following syntax: "name of the key: text to display". You can only set up these functions: F1… F10, Clear, Enter and the arrows. The effect of the buttons will be the same as pressing F1... F10, Clear, Enter.
Example:
- the syntax "ENTER: CONFIRM" will show a button that says CONFIRM and that will behave as ENTER button.
- the syntax "F1:PRINT" will show a button with that says PRINT and that will behave as F1 button.

Voice announce before input:
On this field you can type the message you want the terminal to say -using TTS (Text To Speech)- to the user before data input.
There's a field for each language. The language in which the message will be said can be defined on File>Language>Terminal or using 'SetTerminalLanguage' function during a scenario execution.
For more information on voice recognition and synthesis, see:
http://www.sof2go.net/man/wst/voice/WireLess_Studio_Voice_System.pdf.

Mode:
This option allows to select if the message will be said normally or if it will be spelled. "Spelled" mode is not implemented yet.

On "Parameters" tab, you can customize the display, data input and ASR configuration, among other options.

Display: Data input display parameters.
- Echo off: Do not display input.
- Password mode (show asterisks): Replace the input characters with an asterisk (*).

Input: Input characters parameters.
- Alphabetic input only: Allow input of alphabetic characters only.
- Numeric input only: Allow input of numeric characters only.
- Terminal returns input and function key pressed: Return input and which function key was pressed.
- To upper: Change input characters into capital letters.

Control: Input length parameters.
- Request confirmation with Return key: Press ENTER in order to validate the input.
- No input validation when BSKP key pressed at the beginning of the prompt: Do not return form the function if BKSP is pressed and there's no data input. If this option is not activated, when pressing BKSP the function will return and the "Storage variable" (defined on the previous tab) will be empty.
- Input required: Do not return from function with an empty input. If this option is not activated, when pressing ENTER the function will return and the "Storage variable" (defined on the previous tab) will be empty.
- Don't allow input longer than parameter length: Input length can't be longer than the length defined on "Length" field (defined on the previous tab). If this option is not activated, longer inputs are allowed (system limit only).
- Don't put a CR when an empty string is inputted: If the input is an empty string, carriage return (013, 0x0Dh) is not added. Of this option is not activated, carriage return is added when the input is an empty string.

Voice: ASR (Automatic Speech Recognition) parameters.
- Use the digits ASR grammar: Allow only inputs of digits from 0 to 9. The user can say one or several digits. If no grammar is defined, ASR will be disabled.
- Use the commands ASR grammar: Allow only inputs of command keywords. The user can say one or several digits. If no grammar is defined, ASR will be disabled.
- Use custom ASR grammar: Allow using a special custom grammar. If no grammar is defined, ASR will be disabled.
-Validate an input using voice confirmation: Uses ASR validation mode.
For more information on voice recognition and synthesis, see
http://www.sof2go.net/man/wst/voice/WireLess_Studio_Voice_System.pdf.

Devices: Data input allowed sources parameters.
- Disable barcode scanner: Disable scanner as data input source.
- Disable keyboard: Disable keyboard as data input source.
- Disable function keys: Disable function keys as data input source.
- Barcode scanner auto-activation: Activate the scanner automatically. If not set, the scanner is activated by trigger.
- Disable ASR: Disable ASR as data input source.
- Activate virtual keyboard: Display the virtual keyboard as a full screen pop up window.

Miscellaneous: Other parameters.
- Edit default value: New input is appended after displayed data, if any (previous data is displayed only if "Display variable content" check box from the previous tab is selected). If this parameter isn't activated, new input will overwrite displayed data (when pressing the first key).
Note: This parameter is valid for keyboard input only (barcode and ASR input always replaces default input).
- Set a timeout for user input: Timeout for user input. If the user goes over the timeout, the function returns and the "Storage variable" will be empty.
Note: The value for this timeout can be modified on the configuration file of WireLess Studio Client, using "KeyTime" option on "TERMINAL" section.

The OK button saves changes.The CANCEL button ingnores any changes and returns to the main window.


Clear screen
This action allows to erase a text zone device's screen.

Clear screen:
The whole screen will be erased.

Partial clear:
Only a portion of the screen will be erased, so it is necessary to assign a start row and an end row.

The OK button saves changes.
The CANCEL button ignores any changes and returns to the main window.


Go to another action
This action allows to modify the sequential execution of the scenario's actions.

Go to action:
To select a destination you must click on the input zone. This will open the Destination screen, where you will be able to select the action where to redirect the scenario.

It is convenient to select a label or a comment as destination because they are quick to find on Destination window and on the actions grid.

Return to the next action using the RETURN action:
This option lets the execution return to the next action on the list after 'Go to Action' finds the Return action. This option is useful when you call a screen from several actions.

The OK button will save the changes.
The CANCEL button ignores any changes and returns to the main window.


Return to calling next action
This action allows the execution to return to the action that follows Go to another action on the list.
For example, if there is a screen with several actions that go to different actions or screens in the scenario, you can select the option 'Return to the next action using the RETURN action', so the application will return to the action that was next on the list, without having to manually manage to return there.


Bip sound
This action will force the portable device to make a bip sound.

You can select the bip duration (long, medium or short), as well as the number of bips.

The OK button will save the changes.
The CANCEL button ignores any changes and returns to the main window..


Pause
It is possible to make a pause on the scenario execution, after which the execution will continue with the next action.

You must select a type of pause: a pause of defined duration (in hundredths of seconds) or a pause that lasts until the user press a key.

The OK button will save the changes.
The CANCEL button ignores any changes and returns to the main window.


Conditional (If... go to... Else, go to...)

Condition (If... go to... Else, go to...)
This action allows to direct a scenario to an action by comparing a variable's value with a predefined value. For example, if the value of the system date variable is superior to a predefined value, the execution should continue with a SQL query, and if it isn't, the execution should display a text.

If Variable:
Select from the list the variable that is going to be compared.

Condition:
Select the conditon filter.

Value to compare :
This value may be a constant or another variable. Variables can be added clicking the button located next to this field. Variables will appear enclosed between curly braces.

Then Go To Action:
If the condition evaluates to true, the execution continues with this action. In order to select the destination action, click on the input zone and the Destination window will appear.

Else Go To Action :
If the condition evaluates to false, the execution continues with this action. In order to select the destination action, click on the input zone and the Destination window will appear.

The OK button will save the changes.
The CANCEL button ignores any changes and returns to the main window.


Display menu
This action allows to create a menu on the portable device. A frame will be displayed around the menu.

Title 1, Title 2:
Titles are not mandatory. It is possible to enter titles in multi-language mode. If you want to change the text input language, click on the buttons located next to the title fields. The buttons located at right allow to insert a variable on the title.

Destinations + Opciones:
This list contains the menu options and their associated destinations.

The +1 button adds an option.
The -1 button deletes an option.
The up arrow moves an option upwards on the list.
The down arrow moves an option downwards on the list.

Text to be displayed:
This field allows to edit the option's text. You may select an option from the list and modify its content. You can insert variables and different texts for each language.

Destination:
Action where to the scenario will be directed when selecting the option. This destination action can be selected on the Destination window, which appears when clicking on the input zone.

CLEAR:
If this option is selected, it will be possible to exit the menu without evaluating any options. It is mandatory to select a destination for this action.

Initial Column:
Menu start column.

Initial Row:
Menu start row.

Length:
Menu frame lenght.

Height:
Menu frame height.

Note: the position of the menu depends on the device's screen size. Length and Height fields are very important in order to avoid the menu going over the screen edges.
Example:
For an 8 rows screen, with a menu staring on row 2, height must be equal or less than 7.
For a 20 columns screen with a menu starting on column 3, length must be equal or less than 18.

The OK button will save the changes.
The CANCEL button ignores any changes and returns to the main window.


List creation
The first tab of this window enables to create a new list.

Note: the list will be displayed to user after setting the action 'List managament/Selection'.

List number:
The list number must be between 1 and 99. To access another tag, you must enter 0 in this field.

Title:
List title.

List display position and design:
- Initial column: display position of the list left superior angle.
- Initial row: display position of the list left superior angle.
- Length: list column number.
- Height: list row number.

Note: check that list height and lenght don't exceed the display size.

Customizing the navigation keys:
- Scroll down
- Scroll up
- Next page
- Previous page
- Quit: in this case, execution will continue on the next action on the actions list, begining at -1 the variable set on 'Position' field, which is defined on the tab entitled Selection.

Search Field. Position:
This option allows you to perform a quick search for an element in the list.
Field position indicates where the search field is located on the file. The file must be sorted by this field.

The OK button will save the changes.
The CANCEL button ignores any changes and returns to the main window.


Import/Insert/Update/Delete

Import/ Insert/ Modify/ Delete: allows to perform this actions on one row or the whole list.
The second tab of the 'List management' window allows to update a list.

List number:
List identifier. The application allows to create up to 99 lists. You must insert 0 to switch between tabs.

Options:
- Import a file
- Insert a row
- Modify a row
- Delete a row
- Delete the list

File:
Full path and name of the file to be imported. This file must have a fixed record size. You can insert a variable in this field by clicking on the button next to it.

Lines Qty.:
Quantity of lines remaining after Import, Insert, Modify, Delete one or all rows on the list. In order to create a variable, just insert its name on the input zone.

Note: every inserted, modified or imported element must have a fixed length.

The OK button will save the changes.
The CANCEL button ignores any changes and returns to the main window.


Select
The third tab of this window allows to access to the list in order to select one of its elements.

List number:
List number between 1 and 99. You must insert 0 on the list number to switch between tabs.

Initial position:
You can customize the list initial position on the imported file. Default value is "1", correspondig to the first value of the list.

Output format:
On this field, it is possible to select from the imported file the values that will be displayed and its display mode. Begining and end position of each imported field are defined between square brackets or braces and they are separeted by a hyphen. The characters that are not placed between square brackets or braces is displayed on the screen as it is.

Example: if the file line conteins: "025 Product 025 "
and it's defined [1-3]/ [5-22]
on the screen it will be displayed: "025/ Product 025 "

Instead, if it's defined {1-3}, {5-22}
on the screen it will be displayed: "025, Product 025" because when braces are used, not meaningful spaces are eliminated.

It is also possible to visualize a field in several output lines.

Example: if the file line conteins: "025 Product 025"
and it's defined Cod = [1-3]
Desc = [5-15]
on the screen it will be displayed: "Cod = 025"
"Desc= Product 025"

Result:
- Value: name of the variable where the selected line will be assigned (text). This variable can be selected or created by pressing the button at right of the field, or just typing the name of the field.
- Position: position on the list of the selected element (numeric). This variable can be selected or created by pressing the button at the right of the field, or directly inputting the name.

Function key:
On this field you can select the action where to the scenario will be redirected when pressing a function key. If this field is empty, function keys have no effect.
If you select "Next" check box, which is below the field, the scenario continues with the following action with no need to specify its number. When this check box is selected, the word "Next" appears on the text zone.
If you want the execution to continue with another action, just deactivate "Next" check box and click on the text zone. This will open Destination selection window, where you will be able to choose a destination for the corresponding key.

In case of cancelling the operation, the value that returns is "0".
In case of selecting the first element of the list, the returned value is "1".

The OK button will save the changes.
The CANCEL button ignores the changes and returns to the main window.


Depending on function key
This action enables to assign a specific action to each function key, so when pressing a function key, the execution continues with the associated action.

In order to select a destination, you must click on the input zone next to the key's name and the Destination dialog will display the actions so that you can select one.

For each destination you can select the Return' option by clicking on the check box. This option enables to continue on next or previous action to the calling point after the application finds the Return to calling point' action.

It is not mandatory to select a detination for each function key. However, a common destination for all the keys that don't have a specified destiation must be indicated. This destination must be defined on 'Other key'.

The OK button will save the changes.
The CANCEL button ignores any changes and returns to the main window.


Terminal configuration
This dialog sets the configuration parameters of the mobile device.

Backlight (s):
Backlight timeout (unsupported in Windows CE ®).

Power-off (s):
Device timeout.

Click (ms):
Click sound duration when a key is pressed (unsupported in Windows CE®).

Cursor:
Select cursor type (by software or by hardware).

The OK button will save the changes.
The CANCEL button ignores any changes and returns to the main window.


Barcode initialization

Barcodes initialization
This dialog enables to configure which barcode types will recognize the device and your application.

Active:
On this column you must define which barcode type from the list is enabled and which is disabled to be read.
To enable scanning a barcode type, click on its row and then select the V.
To disable scanning a barcode type, select the X.

Lg Min and Lg Max:
Maximum and minimuim barcode lenght can be modified on this columns. Click on the value you want to modify and input the new value through the keyboard.

The OK button will save the changes.
The CANCEL button ignores any changes and returns to the main window.


Serial port configuration
In this dialog you can set up the configuration parameters (serial port, speed in bps, data bits, stop bits, parity, flow control) for the serial port of the device.
Standard values are predefined on the list-box.

The OK button will save the changes.
The CANCEL button ignores any changes and returns to the main window.


Read/write on serial port
This window allows sending and receiving data through the device's serial port.

Serial port:
Serial port selection.

Send:
If this option is selected, you must insert the text to be sent.

Value to be sent:
You can insert a variable by clicking on the button on top of this field. Variables must be enclosed between curly braces.

Note: to transmit special characters, you must insert their three digit ASCII value after \' (example: \013' for the carriage return).

It is possible to send the content of a file that is located on the server. If the text that is going to be sent has the syntax "FILE:filename.txt", the file content will be sent.

Receive:
If this option is selected, you must set up the following fields:
-Initial character (ASCII): if different than 0 (zero), each string received on the serial port must begin with this character.
-Ending character (ASCII): if different than 0 (zero), data reception will end when this character is found.
-Maximum length: maximum length of the text to be received. The value -1' means no limit (maximum is 256 characters).
-Timeout: maximum waiting time for data reception. The value 0'(zero) means no limit.
-Variable: the received data will be stored in this variable. You can create a variable by clicking on the button next to this field.

The OK button will save the changes.
The CANCEL button ignores any changes and returns to the main window.


Run a Batch application on the terminal

This action will run a batch application on the portable device.

Path and name of executable:
This is the file that will run on the device. The button next to this field enables to open a window where you can choose the file you want to run.

Command line arguments:
Name or characters chain that follows the command on the command line and indicates how it should work.

Directory of files to be transferred before running the application:
Directory where are saved the files to be loaded on the device. The button next to this field opens a window where you can choose the directory you want to transfer.

List of files to be transferred before running the application:
This list contains all the files to be loaded on the device before running the application. Separate different files with a semicolon.

Reception directory of the files generated by the application:
Directory where to the generated files will be transferred. The button next to this field opens a window where you can choose the directory where the files will be saved.

List of files that will be generated on the device that will be transferred:
This list contains all the files that you can transfer from the device. Separate different files with a semicolon.

Note: it is possible to insert variables in all input zones making right click on them and selecting "Insert variable". Variables will appear between curly braces.

The OK button will save the changes.
The CANCEL button ignores any changes and returns to the main window.


Create a formula
This window provides you with functions and variables so you can create a formula.

Variables (result):
The result of the formula will be stored in this variable. You can select a variable from the drop-box, or create a new one clicking on the button next to this field.

Type:
Type of variable (T = Text, N = Numeric, D = Date/Time).

Functions:
This list contains the functions for variables management. This list depends on the type of 'result variable'. You can obtain an explanation about a function clicking on its name, the explanation will be displayed on the bottom of the window. In order to add a function to a formula, double-click on its name.

Variables (list):
This list contains the variables that can be used as function parameters values. First, select a parameter on the 'Formula' field, then double-click on the desired variable. The variable name will be shown on the 'Formula' field.

Note: for functions and variables, red corresponds to numeric values, blue to text and green to dates.

Formula:
This tree contains the formula and its parameters, which can be variables or constants.
If you want to insert a variable, first click on the parameter, then double-click on the variable name on the variables list. Otherwise, if you want to insert a constant, double-click on the parameter. You will obtain an input box where you can input any the that you want.

Note: after selecting a function, parameters appear enclosed between quotation marks and variables appear enclosed between brackets. Constants are not enclosed between any special characters.
These characters |', (', )' can result into unexpected results when solving formulas.

The TEST button will check the formula. For each variable an input box will appear, where you must insert a value for testing purposes.

The OK button will save the changes.
The CANCEL button ignores any changes and returns to the main window.


Data base conection
This window alows to create a query to be able to interact with an external database. The first tab, Data source, allows to select the database on which this query will be performed.

Connection:
Select the connection type:
- ODBC: if you select this option, you must use the ODBC 32 bits manager to create the link with the database.
- Native access: if you select this option, you must select a native access link from the native access list or create a new one by clicking on the button locateed at right of the field.

Data Source:
Select the ODBC link with your database from the drop-list. If it doesn't exist, you can run the ODBC 32 bits manager to create it by clicking on the button next to this field.

Username:
Authorized username to access the database.

Password:
Matching password for the username selected above.

The CONNECT button will start the database connection.
The CANCEL button ignores any changes and returns to the main window.


Native access grid
This window shows the native access list available for the current scenarios.
ADD button creates a new native access (see Native access list).
MODIFY button modifies the parameters of the selected native access.
DELETE button deletes a native access.


New native access
On this dialog you can edit a native access or create a new one.Native access name: Label that identifies the native access.Database information:
-Type: database type (ACCESS, MYSQL, HYPERFILE, etc.).
The following information depends on the native access type.
Example:
ACCESS Database => Full path to the .mdb file
=> Username
=> Password

MYSQL Database => MySql Server address
=> Database name
=> Username
=> Password

HYPERFILE Database => Full path and name of the analysis
=> Files directory
=> Database name
=> Username
=> Password
Native access engine:This is the engine used to access the native access database; it can be installed on the same PC as Wireless Designer or on a different PC.-IP address: IP address of the PC where the native access engine is installed.-Port: listening port for the native access (default: 10024).
The OK button will save the changes.
The CANCEL button ignores any changes and returns to the main window.


Native access list
Native Access:
Microsoft Access.
Microsoft Excel.
MySql.
Hyperfile 5.5, 7.5.
PostgreSQL.
Optionals:
Sql Server.
Oracle.
Sybase.
DB2.


Query Wizard
This window allows to create a SQL query using a wizard. On the bottom of the window you will find a grid where you can visualize and customize your query.

Query type:
-Selection: this option enables to retrieve information from a database table.
-Update: this option allows to update a database table.
-Insert: this option inserts information on the database.
-Delete: this option erases data from the database.

The columns of the query grid depend on the selected query type. See further down for a detailed explanation of each query type.

Note: the wizard allows to make querys for just one table. In order to create querys for many tables, use SQL Mode tab.

Tip & tricks: you can create a query for one table with the wizard and then modify it in SQL Mode for it to perform on many tables.

Table:
Select the database table where the SQL query will be performed.

Fields:
This list contains all the fields that belong to the table selected on 'Table'. You can add these fields to the query grid by double-clicking on them.

-Selection
This query type enables to select the elements from a database table which respect certain conditions. For example, from the students table it selects all records which respect the condition gender = male. It is also possible to restrict the selection fields, in other words, if the students table has name, last name, phone, email, etc. as fields, it is possible to choose only name and phone to be obtained on the selection. The result of the selection is a record set (in our example, the names and phones of all males).

WirelessDesigner allows to store on variables the values of JUST ONE record of the result (which must be selected on 'Index').
In order to make a selection query with the SQL wizard, first, select on 'Table' the table where you want to make a query. Next, add a field from the field list to the query grid and use 'Filter' and 'Value' to generate the condition you want the records to respect in order to be selected. Then, choose the fields which values you want to select. Finally, define the variable where you want to store the obtained values on 'Assignment'.

Note: all fields who are affected by a filter will appear on WHERE clause on the SELECT SQL query.

Index:
This field is only valid for Selection queries. Index enables to select a record from the query result to assign its values on variables. It is possible to use as index a constant or a numeric variable (use the button next to this field to insert variables). Zero (0) returns the last record of the record set. One (1) returns the first record.

Record Qty:
This field is only valid for Selection queries. Select the variable where you want to store the number of records obtained by a selection query.
To create a variable, click on the button next to the input zone.

-Update
This query type enables to update the database records values. First, select on 'Table' the table where you want to make a query. Next, add a field to the query grid and use 'Filter' and 'Value' to generate the filter that records must abide in order to be updated. Then select the fields which value you want to update and check on 'Update'. Finally, define the new value you want to assign to them on 'New Value'.

-Insert
This query type allows to add a new record to a database table. First, select on 'Table' the table where you want to insert a record. Next, select from the list those fileds you want to assign a value. Last, define the value on the grid column named 'Value'.
If you don't assign a value to all fields of the new record, those fields who don't have an assigned value will be void.

-Delete
This query type enables to delete records from a database table. First, select on 'Table' the table where you want to perform a delete query. Next, create the condition that records must abide in order to be deleted: first add a field to the query grid, then use 'Filter' and 'Value' to generate the restriction.

Note: it is possible to use special characters to create filters.

Query grid description:
-Field: database table field.
-Type: field type (T=Text, N=Numeric, D=Date/Time).
-Filter: select information filter criteria (=, <, >, <>, <=, >=).
-Value: criteria value. Insert a constant or select a variable from the list.
-Assignation: variable where to store the query results.
-Update: check if you want to update a field .
-New value: new value for an update query. Insert a constant or select a variable from the list.

Note: in order to delete a field from the grid, you can use the context menu (right-click) and select Delete field.

The TEST button will test the query.

The OK button will save the changes.
The CANCEL button ignores any changes and returns to the main window.


SQL mode
This tab allows to edit a query in SQL mode.

Warning: if you use the SQL mode to create or modify a query, you will be no longer able to use the SQL wizard for that query.

Tables + Fields:
This tree contains the database's tables and fields. You can transfer an element into the query zone by double-clicking on it.

SQL commands:
This is a list of the SQL commands. You can transfer a command into the query zone by double-clicking on it.

Scenario variables:
This is a list of the scenario's variables. You can transfer a variable into the query zone by double-clicking on it.

Index:
This field is only valid for Selection queries. Index enables to select a record from the query result to assign its values on variables. It is possible to use as index a constant or a numeric variable (use the button next to this field to insert variables). Zero (0) returns the last record of the record set. One (1) returns the first record.

Note: record values assignment to variables is performed on a dialog that appears after query validation (see Field assignment to variables ).

Record Qty.:
This field is only valid for Selection queries. Select the variable where you want to store the number of records obtained by a "Selection" query.

Query:
This text zone contains the query in SQL mode.

Note: all fields or table names with spaces should be enclosed between square brackets [FIELD NAME]. Variables should be enclosed between curly braces {Article Code}.
For constant criteria is mandatory:
- on Text fields: simple quotation marks (TextField = abc').
- on Numeric fields: nothing (NumField = 123).
- on Date/Time fields: pound sign (DateField = #12/12/2001#).

The TEST button will test the query.

The OK button will save the changes.
The CANCEL button ignores any changes and returns to the main window.


Field assignment to variables
On this dialog you will assign variables to each field of a "Selection" query.

1st column:
List of fields selected by the query.

2nd column:
Field type (Text, Numeric, Date/Time).

3rd column:
Variable where to assign the field value. Select a variable from the list or type the name of a new variable. The application will request a confirmation for the creation of a new variable.

The OK button will save the changes.
The CANCEL button ignores any changes and returns to the main window.


Export results
On this tag you will be able to export the results of a "Selection" query into an ASCII file.

Filename:
Path and filename for the output file. If you don't define a path, the output file will be saved on the working directory (X:\Program Files\WireLessDesigner). You can use variables for the filename.
Example:
C:\Test\File_{Device ID}.txt

File format:
Choose how you want to visualize exported data on the output file:
- Separator: on this case, you must define the printable character that will indicate the end of a field and the begining of another.
- Fixed length: on this case, you must customize each field's length, using a semi-colon as separator. If field lenght is larger than the lenght you defined, the content will be cut; if it's shorther, blank spaces will fill what remains.

Example:
Query: SELECT CODE, LIBELLE FROM ARTICLES;
Field Length: 13; 40
The CODE field is 13 characters long maximum and LIBELLE is 40 characters long maximum.


Run another program on the PC
This dialog lets you launch an external application on the PC.

Application to run:
Executable file (*.exe) path and filename.

Command line:
External application command line. You can insert variables on this field by clicking on the button next to it. Variables will apear enclosed between curly braces.

Option:
-Background: the application will run on the background, its window will be inactive.-Foreground: the application will run on the foreground, its windows will be active. -Maximized: the application will run on the foreground and its window will be maximized.-Minimized: the application will run on the background and its window will be minimized, you will only see an icon on the taskbar.

The OK button will save the changes.
The CANCEL button ignores any changes and returns to the main window.


Write on file, printer or port
This dialog enables to send data to a printing port (serial port, parallel port or a file).

Flow:
The print flow can be sent to:
- Serial port: you must select a port (COM1, COM2, etc.) and its parameters.
- Printer: you must select the printer's port (LPT1, LPT2, etc.).
- File: in this case, you must select the file where to you want to direct the data. If the complet directory is not specified, in other words, if you only input file's name, it will be saved on the directory where is the application's executable file (usually X:\Program Files\WireLessDesigner). If the file exists, it is also possible to indicate if the information will be added at the end or not.

Text to send:
This text zone contains the data to be printed. This data can be constants (keyboard input) or variables (you can insert variables using the button on top of the text zone).

Note: to send special characters, write their three-digit ASCII value after a backslash \' (example: \013' is the carriage return mark).

The TEST button will test printing.
The OK button will save the changes.
The CANCEL button ignores any changes and returns to the main window.


Send e-mail
This dialog allows to send an e-mail to one or many destinations.

User:
Mail account username (ex.: username, firstname.lastname, user@ifrance.fr, etc).

Password:
Mail account password.

Nick:
Sender's nickname.

SMTP:
Outgoing email server (ex.: smtp.ifrance.fr).

From:
Sender's email address.

To:
Receiver's email address. You can specify more than one destination by separating each address with a semicolon.

Subject:
Message subject, title or description.

Text:
Text to be sent, it's the main part of the message. It can contain constants or variables (you can add variables using the VARIABLES button).

Note: to send special characters, write their three-digit ASCII value after a backslash \' (example: \013' is the carriage return mark).

The SEND button will send the e-mail.
The EXIT button cancels the e-mail sending and returns to the main window.


Case
This dialog allows to re-direct the execution to a different action according to the value of a variable.

Evaluation. Case Variable:Select the variable which value you want to compare. Choose one from the drop-list.

Destination:
-Value 1 to 9: you must indicate a value on the first field. On the second field, select the action where to you want to redirect the execution when the variable has that value. It is not mandatory to fill all fields.
-Other case: choose the action where to you want to direct the scenario when the variable has a value different from those defined previously. This field is mandatory.

In order to select a destination, click on the input field: Destination window will appear, where you can select the action where to you want to redirect the execution.

The OK button will save the changes.
The CANCEL button ignores any changes and returns to the main window.


Error message
This dialog enables to show an error message on the portable device.

Message lines:These fields can contain constants or variables (you can insert variables using the button next to these fields). Variables appear enclosed between curly braces.

Bip (s):
You can customize the bip (s) duration and amount.

Pause:
The message will make a pause in the execution, you must define its duration. The value zero (0 s.) makes the pause to last until a key is pressed by the user.
After this pause, execution will continue with the action specified on 'After message Go to action'.

After message Go To action:In order to select a destination, click on the input zone; Destination dialog will appear, where you can choose an action from any screen.

The OK button will save the changes.
The CANCEL button ignores any changes and returns to the main window.


Label line
This window enables to create labels that make programming easier. Labels stand out because they are highlighted on green on the actions grid and on Destination window, so it is convenient to select them as destination for Go to action.

Code:
Alphanumeric code (5 characters).

Description:
On this input zone you can type a comment for the label.

The OK button saves changes.The CANCEL button ingnores any changes and returns to the main window.


Condition (If...then... Else...End)

Condition (If... Else... End)
This action allows to execute actions depending on a condition that evaluates the value of a variable.

-If...
On this first step, create a condition and then validate it.

If Variable:
Select a variable to compare from the list.

Condition:
Conditon filter.

Value to evaluate:
This value can be a constant or a variable. In order to select a variable, click on the button next to the field. Variables will appear enclosed between curly braces.

After validating the conditon, on the main screen, choose the action/s you want to be executed if the condition is true. In that case, the scenario will continue with the following action and so on until finding END.
It is also necessary to define the action/s you want to execute if the condition is false. In order to do so, get back to this action and select the check-box 'Else'.

-Else...
You can write a comment on the field. Press OK and then, on the main screen, choose the action/s to perform if the condition defined on 'If' is false. In that case, the scenario will continue with the action that follows ELSE until finding END.

-End
End of this action. It is also possible to write a comment for the end af the action.

The OK button will save the changes.
The CANCEL button ignores any changes and returns to the main window.


File transfer
This action allows to tranfer files from or to the portable device.

PC Directory:
Select the PC directory. You can add a variable to the name with a right click or using the button located at right.

Terminal Directory:
Select the terminal directory.

List of files to tranfer:
This list contains the files that will be transfered.

The OK button saves changes.The CANCEL button ingnores any changes and returns to the main window.


Say
This action allows to type a message that the terminal will say to the user.

Text to say:
On this field you can type the message you want the terminal to say -using TTS (Text To Speech)- to the user.
There's a field for each language. The language in which the message will be said can be defined on File>Language>Terminal or using 'SetTerminalLanguage' function during a scenario execution.
For more information on voice recognition and synthesis, see:
http://www.sof2go.net/man/wst/voice/WireLess_Studio_Voice_System.pdf.

Forces reading:
If you select this option, the message is said when the scenario execution arrives to this action.
If you don't select this option, the text is stored on the buffer together with other actions in order to say them all together later.

Mode:
This option allows to select if the message will be said normally or if it will be spelled.

The OK button saves changes.The CANCEL button ingnores any changes and returns to the main window.


End of scenario

This action will end a normal scenario execution.


Movex - Configuration


Destination
This window shows a tree with all the screens and its actions, which allows to quickly and easily select the action where to you want to redirect the scenario.

There are three selection options:

Local actions and comments or labels in other screens:
This option allows to choose the destination from the current screen's actions or from other screens' labels and comments.

Note: labels are highlighted on green and comments on red.

All actions: This option enables to choose as destination any other action located on any scenario.

Only labels:
This option allows to choose only from labels and comments.

You can deploy a screen to see its actions, just double click on the screen name.

Label list:
The label list is the bottom schema. It can be sorted by:
- Screen / actions: Labels are sorted by order of appearance on screen.
- Label name: Labels are sorted by name.
To select a destination, click on the name of the destination action and press OK.

In order to select a destination, click on the action's name, then press OK.

The CANCEL button ignores any changes and returns to the window where you came from (Comment line, Input field, Go to another action, Condition (If... go to... Else, go to...), Display menu, Depending on function key, Case, Error message or Select List).


Scenario assignment
On this window you can select which terminals have acces to the scenarios and you can also indicate which will be the first scenario's screen.

Scenario:
The first column contains all the created scenarios.

Device ID:
List of devices that can access the scenario. It is not required to enter the complete IP address for each device, only the last part of the IP address on dot-decimal notation.
Use the semi-colon to separate different devices. Use the dash to select a group of devices (in an IP address range).
Example: 1-5; 15; 20-23 (device with IP address ending in 1,2,3,4,5,15, 20,21,22,23 may access this scenario).

1st Screen:
This will be the first screen when running the scenario.

The OK button saves the new values.
The CANCEL button will ignore any changes and return to the main screen.


Scenario test
It is possible to test how the scenario will be executed on the device. You can launch the simulator through the menu Terminals> Simulation or pressing the button on the shortcuts bar. A dialog will be opened:

Simulator:
On this dialog you must define values for:
-IP terminal: IP address of the device you want to simulate.
-Long screen
-Height screen
-Scenario: scenario you want to simulate.

The V launchs the simulation. Two windows will appear: "Simulator 1" and "Execution Log" (see further down).
The X ignores changes and returns to the main window.

Scenario execution:
This window enables to see a list of the performed actions during scenario execution.

Simulator1:
This window simulates the device behaviour when executing a scenario. It is possible to simulate keyboard input using the following keys:
- Up and down arrow to move through the menu.
- ENTER to enter a keyboard imput or to select an action from the menu.
- F1 to F10 or ESC to emulate the funtion keys.


Variables list
This dialog lists all the variables that belong to a scenario and allows to modify or delete them.

Modify:
Select the variable you want to modify from the drop-list. Then choose the type:
-Text: any ascii characters.
-Numeric: only numeric characters (including the decimal symbol).
-Date/ Time: Date field (mm/dd/aaaa) or Time field (hh:mm:ss).

Next, define display options (Size and Text) for the Display.
Finaly, press OK to confirm changes.

Delete:
Select the variable you want to delete from the drop-list, then press DELETE.

CLOSE button closes the dialog and returns to the main window.

Note: before modify or delete a variable the application checks if it is being used on the scenario. If it's being used, you must confirm your choice twice. On the actions grid, for each action that involves the variable, you will find a red "x" on STATE column.

Additional information regarding the variables
Variables allows to store information to use it later.
A variable can be initialised by:
-A keyboard input on the device.
-A barcode input.
-Incoming data on Serial Port.
-Running a "Select" query.
-Creating a Formula.


System variables
Some variables are predefined by the system and are able only for reading their content (can't be changed):

-System.Date: PC's current date.
-System.Time: PC's current time.
-System.BarCodeType: after reading a barcode the barcode type is stored in this variable.
-System.IDTerminal: the last number on the device's IP address.
-System.Columns: number of columns on the device's screen.
-System.LastInputKey: last input performed.
-System.QueryError: state of the last query (0 if ok, 1 on error).
-System.QueryErrorNum: error number (00000 without error)
-System.QueryErrorMsg: error message.
-System.QueryRowsAff: amount of rows affected (only for "Select" request).
-System.Langue: language on terminal.

The following variables are also predefined by the system but they are able for reading and writing as well:
-System.ODBC_User: username for database access.
-System.ODBC_Password: password for database access.
DBC_Password: password for data base access.


Terminal
WireLess Designer allows to choose the scenario visualization language on the device. This can be set through the File>Language>Terminal menu. The options are: english, spanish and french.
The simulation icon on the shortcurts bar will change its colours according to the the selected language.


Designer
It is possible to to select WireLess Designer interface language. This can be set through the File>Language>Designer menu. The options are: english, spanish and french.
The flag next to the shortcurts bar will change its colours according to the the selected language.


Scenario indexing
Scenario indexing improves the scenario access time and allows to repair any issues on the index. It is convenient to make a scenario reindexing after performing any changes on the application.

You can access the scenario indexing tool through the File menu, where you must select the Tools option, then Scenario Indexing. You will need to confirm the scenario indexing on a dialog that will appear after selecting the option.


Translate actions
This tool makes easier the translation work because it gathers on the same window all the actions that show text to the device user.

You can access this tool going to File menu, selecting Tools option and Translate Actions.

Scenario:
Select the scenario which actions you want to translate.

Screen:
Select the screen which actions you want to translate. There's an option which shows all the screens that belong to the chosen scenario.

Actions:
Select action type (Display text, Display menu, Error message) which text you want to translate or select the option that shows all the actions that belong to the chosen screen.

On the grid you will find the actions that respect what you defined on these parameters, their location and their state.

In order to translate the text of an action, just click on the action, or select it and press 'Modify action' button. The window that corresponds to that action will open, where you'll be able to modify its text.


Scenario Control
Saisissez ici le texte de la page